@import '../../variables';

.data-box-table {
  &__highlight {
    background-color: map-get($theme-colors, 'highlight');
  }

  &__more-button {
    font-size: 1em;
    border-radius: 20px;
    white-space: nowrap;
  }

  &__clickable-cell {
    cursor: pointer;

    &:hover {
      border-color: map-get($theme-colors, 'primary');
      color: map-get($theme-colors, 'primary');
    }
  }

  td {
    line-height: 1.2;
    position: relative;

    .display-absolute {
      position: absolute;
      left: 0;
      right: 0;
      top: 0;
      bottom: 0;

      .checkbox-wrapper {
        position: absolute;
        left: 0.75rem;
        top: 0;
        padding: 0.75rem 0;
        bottom: 0;
        right: 0.75rem;
        text-align: center;
        background-color: map-get($theme-colors, 'secondary-grey');

        &.green {
          background-color: map-get($theme-colors, 'secondary-green');
        }
      }
    }
  }

  td p {
    margin-bottom: 0;
    max-width: 400px;
  }

  thead th {
    line-height: 1.2;
    border-top: none;
    border-bottom-width: 1px;
  }

  thead th:nth-child(1),
  tbody td:nth-child(1) {
    max-width: 100px;
    min-width: 100px;
    width: 100px;
  }
}
